curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"cloudflare_nameservers": "<unknown>",
"is_verified": true,
"record_count": 123,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "A",
"name": "<string>",
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"ttl": 2147483647,
"priority": 2147483647,
"proxied": true
}
],
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"mode": "onetsolutions",
"is_active": true
}Retrieve comprehensive details for a specific DNS zone including all associated DNS records, zone status, nameserver assignments, and configuration. Use this endpoint to view the complete DNS configuration for a zone.
curl --request GET \
--url https://api.onetsolutions.net/v1/organizations/{organization_id}/projects/{project_id}/dns-zones/{id} \
--header 'Authorization: Bearer <token>'{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"zone_name": "<string>",
"cloudflare_nameservers": "<unknown>",
"is_verified": true,
"record_count": 123,
"records": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"record_type": "A",
"name": "<string>",
"content": "<string>",
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"ttl": 2147483647,
"priority": 2147483647,
"proxied": true
}
],
"created": "2023-11-07T05:31:56Z",
"modified": "2023-11-07T05:31:56Z",
"mode": "onetsolutions",
"is_active": true
}Documentation Index
Fetch the complete documentation index at: https://help.onetsolutions.net/llms.txt
Use this file to discover all available pages before exploring further.
Use Authorization: Bearer <token> header. Token can be a JWT token or an API key (format: sk-onetsolutions-...).
The unique identifier (UUID) of the DNS zone to retrieve
DNS zone details with all records retrieved successfully
253Show child attributes
onetsolutions - onetsolutionsclient - clientonetsolutions, client